MuleContextPostProcessor (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.MuleContextPostProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleContextPostProcessor

    java.lang.Object
      org.mule.config.spring.MuleContextPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanPostProcessor

    public class MuleContextPostProcessor

extends Object
implements org.springframework.beans.factory.config.BeanPostProcessor

Responsible for passing in the MuleContext instance for all objects in the registry that want it. For an object to get an instance of the MuleContext it must implement MuleContextAware.

See Also:
  `MuleContextAware`, `MuleContext`

Constructor Summary
`MuleContextPostProcessor(MuleContext muleContext)`

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextPostProcessor

    public MuleContextPostProcessor(MuleContext muleContext)

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.